failed to build jdk16 in jail

graudeejs

Son of Beastie

Thanks: 688
Messages: 4,613

#1
Code:
6.0 GAMMADIR=/usr/ports/java/jdk16/work/hotspot MAKE_VERBOSE=y product
gmake[3]: Entering directory `/usr/ports/java/jdk16/work/control/build/bsd-i586/hotspot/outputdir'
gmake -f /usr/ports/java/jdk16/work/hotspot/build/bsd/Makefile checks
gmake[4]: Entering directory `/usr/ports/java/jdk16/work/control/build/bsd-i586/hotspot/outputdir'
/usr/local/diablo-jdk1.6.0/bin/javap javax.xml.transform.TransformerFactory > /dev/null 2>&1; \
        if [ $? -ne 0 ]; then \
          /usr/local/diablo-jdk1.6.0/bin/java -version; \
          echo "*** An XSLT processor (J2SE 1.4.x or newer) is required" \
          "to bootstrap this build" 1>&2; \
          exit 1; \
        fi
[color="Red"]Error occurred during initialization of VM
Unable to load ZIP library: /usr/local/diablo-jdk1.6.0/jre/lib/i386/libzip.so[/color]
*** An XSLT processor (J2SE 1.4.x or newer) is required to bootstrap this build
gmake[4]: *** [check_j2se_version] Error 1
gmake[4]: Leaving directory `/usr/ports/java/jdk16/work/control/build/bsd-i586/hotspot/outputdir'
gmake[3]: *** [bsd_i486_compiler2/debug] Error 2
gmake[3]: Leaving directory `/usr/ports/java/jdk16/work/control/build/bsd-i586/hotspot/outputdir'
gmake[2]: *** [generic_build2] Error 2
gmake[2]: Leaving directory `/usr/ports/java/jdk16/work/hotspot/make'
gmake[1]: *** [product] Error 2
gmake[1]: Leaving directory `/usr/ports/java/jdk16/work/hotspot/make'
gmake: *** [hotspot-build] Error 2
*** Error code 2

Stop in /usr/ports/java/jdk16.
*** Error code 1

Stop in /usr/ports/java/jdk16.
I have ccache, but I disabled it.
I'm compiling in jail, any ideas, why it can't load libary?

Few days ago I had no problem


EDIT:
It also seam to compile outside jail.... weird...
 
OP
OP
graudeejs

graudeejs

Son of Beastie

Thanks: 688
Messages: 4,613

#2
OK, just tried it again, but this time, not in jail....., instead I tried in on my shiny new system
I still get same error

Thinking laud:
perhaps it's related to libtool22?
 

ale

Daemon

Thanks: 166
Messages: 1,059

#6
I can't remember exactly, but I read that solution somewhere.
It was just to bootstrap the build of java/jdk16.
This is because diablo was built with libraries from 7 and libz.so version has been bumped on 8.
Try in the java or in the current mailing lists.
 
Top